﻿
@{
    ViewBag.Title = "Orders";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2> My orders</h2>



<table class="table">
    <thead>
        <tr>
            <th>Order Id</th>
            <th>Car Id</th>
            <th>User</th>
            <th>Start Date</th>
            <th>End Date</th>
            <th>Total Price</th>
            <th>Created At</th>
            <th>Status</th>
        </tr>
    </thead>

    <tbody>
        @foreach (var order in ViewBag.Orders)
         {
            <tr>
                <td>@order.OrderId</td>
                <td>@order.CarId</td>
                <td>@order.UserId</td>
                <td>@order.StartDate</td>
                <td>@order.EndDate</td>
                <td>@order.TotalPrice</td>
                <td>@order.CreatedAt</td>

                @if (order.IsReturned == true)
                 {
                    <td>Returned at: @order.ReturnedDate</td>
                 }

                else
                {
                    if (DateTime.Compare(DateTime.Parse(order.StartDate), DateTime.Now) > 0)
                    {
                        <td>
                            <a href="/orders/cancel/@order.OrderId" class="btn btn-danger">Cancel order</a>
                            <a href="#" class="btn btn-primary">Edit</a>
                        </td>

                    }

                    else
                    {
                        <td>Order cannot be canceled at the moment.</td>
                    }
                }

            </tr>
         }

    </tbody>

</table>


